---
updatedAt: 2025-05-19T20:48:45.000Z
agentTools:
  projectIndex: https://developers.happeo.com/llms.txt
---

# Get Image metadata

This returns the metadata json for an Image uploaded to Happeo.

# OpenAPI definition

```json
{
  "openapi": "3.0.2",
  "info": {
    "version": "0.0.1",
    "title": "Happeo Images API",
    "description": "API to get image metata for images uploaded to Happeo.",
    "license": {
      "name": "UNLICENSED"
    },
    "termsOfService": "https://www.happeo.com/tos",
    "contact": {
      "name": "API Support",
      "email": "support@happeo.com"
    }
  },
  "servers": [
    {
      "url": "https://api.happeo.com",
      "description": "Production server"
    },
    {
      "url": "https://api.staging.unvrs.io",
      "description": "Staging server"
    }
  ],
  "components": {
    "securitySchemes": {
      "headerAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "x-happeo-apikey",
        "description": "API key passed in the headers."
      }
    },
    "schemas": {
      "id": {
        "type": "string",
        "description": "The image id.",
        "example": "ef8177a1-6110-42c8-9aa1-c36d3a56802b",
        "nullable": false
      },
      "mimeType": {
        "type": "string",
        "description": "The image mimetype.",
        "example": "image/jpeg"
      },
      "channelId": {
        "type": "string",
        "description": "The Channel id where the image belongs to.",
        "example": "1234"
      },
      "createdMs": {
        "type": "integer",
        "format": "int64",
        "description": "Unix timestamp in milliseconds of when the image was uploaded.",
        "example": 1549633900290
      },
      "createdISO": {
        "type": "string",
        "format": "date-time",
        "description": "The ISO representation of the timestamp of when the image was uploaded.",
        "example": "2019-06-03T09:12:28Z"
      },
      "urlForFormats": {
        "type": "string",
        "format": "url",
        "description": "The url for the image."
      },
      "originalFormat": {
        "type": "object",
        "description": "The original image.",
        "properties": {
          "url": {
            "$ref": "#/components/schemas/urlForFormats"
          }
        }
      },
      "thumbnailFormat": {
        "type": "object",
        "description": "The thumbnail for the image.",
        "properties": {
          "url": {
            "$ref": "#/components/schemas/urlForFormats"
          }
        }
      },
      "smallFormat": {
        "type": "object",
        "description": "A small version of the image.",
        "properties": {
          "url": {
            "$ref": "#/components/schemas/urlForFormats"
          }
        }
      },
      "mediumFormat": {
        "type": "object",
        "description": "A medium-sized version of the image.",
        "properties": {
          "url": {
            "$ref": "#/components/schemas/urlForFormats"
          }
        }
      },
      "largeFormat": {
        "type": "object",
        "description": "A large version of the image.",
        "properties": {
          "url": {
            "$ref": "#/components/schemas/urlForFormats"
          }
        }
      },
      "formats": {
        "type": "object",
        "properties": {
          "original": {
            "$ref": "#/components/schemas/originalFormat"
          },
          "thumbnail": {
            "$ref": "#/components/schemas/thumbnailFormat"
          },
          "small": {
            "$ref": "#/components/schemas/smallFormat"
          },
          "medium": {
            "$ref": "#/components/schemas/mediumFormat"
          },
          "large": {
            "$ref": "#/components/schemas/largeFormat"
          }
        }
      },
      "isPublic": {
        "type": "boolean",
        "description": "True if the image is public. False if the image is private to the Channel."
      },
      "ImageOutput": {
        "type": "object",
        "description": "The Image metadata response body.",
        "properties": {
          "id": {
            "$ref": "#/components/schemas/id"
          },
          "mimeType": {
            "$ref": "#/components/schemas/mimeType"
          },
          "channelId": {
            "$ref": "#/components/schemas/channelId"
          },
          "isPublic": {
            "$ref": "#/components/schemas/isPublic"
          },
          "createdMs": {
            "$ref": "#/components/schemas/createdMs"
          },
          "createdISO": {
            "$ref": "#/components/schemas/createdISO"
          },
          "formats": {
            "$ref": "#/components/schemas/formats"
          }
        }
      }
    },
    "parameters": {
      "imageId": {
        "name": "imageId",
        "in": "path",
        "description": "An image id.",
        "required": true,
        "schema": {
          "$ref": "#/components/schemas/id"
        }
      }
    },
    "responses": {
      "ImageResponse": {
        "description": "An Image metadata response.",
        "content": {
          "application/json": {
            "schema": {
              "$ref": "#/components/schemas/ImageOutput"
            }
          }
        }
      }
    }
  },
  "security": [
    {
      "headerAuth": []
    }
  ],
  "paths": {
    "/images/{imageId}": {
      "parameters": [
        {
          "$ref": "#/components/parameters/imageId"
        }
      ],
      "get": {
        "summary": "Get Image metadata",
        "description": "This returns the metadata json for an Image uploaded to Happeo.",
        "operationId": "getImageMetadata",
        "responses": {
          "200": {
            "$ref": "#/components/responses/ImageResponse"
          }
        },
        "tags": [
          "Images"
        ]
      }
    }
  },
  "tags": [
    {
      "name": "Images",
      "description": "Image related operations"
    }
  ],
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```